%global gitcommit .550df10

Name:          amazon-efs-utils
Version:       1.35.0
Release:       1%{gitcommit}%{?dist}
Summary:       Provides utilities for the EFS file system

License:       MIT
URL:           https://aws.amazon.com/efs
# We'll eventually use their tarball releases
#Source0:       ...
BuildArch:     noarch

Source0: amazon-efs-mount-watchdog
Source1: amazon-efs-mount-watchdog.service
Source2: efs-utils.crt
Source3: mount.efs.8
Source5: efs-utils.conf
Source6: mount.efs

BuildRequires: systemd
Requires:      nfs-utils
Requires:      stunnel >= 4.56
Requires:      python3
Requires:      openssl >= 1.0.2
Requires:      util-linux
Requires:      which

%description
This package provides the utilities needed for using EFS file systems.

%prep

%install
mkdir -p \
  $RPM_BUILD_ROOT%{_sysconfdir}/amazon/efs \
  $RPM_BUILD_ROOT%{_unitdir} \
  $RPM_BUILD_ROOT%{_bindir} \
  $RPM_BUILD_ROOT%{_sbindir} \
  $RPM_BUILD_ROOT%{_localstatedir}/log/amazon/efs \
  $RPM_BUILD_ROOT%{_mandir}/man8

install -p -m 644 %{SOURCE5} \
  %{buildroot}%{_sysconfdir}/amazon/efs

install -p -m 444 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/amazon/efs

install -p -m 755 %{SOURCE6} \
  %{buildroot}%{_sbindir}/mount.efs

install -p -m 755 %{SOURCE0} \
  %{buildroot}%{_bindir}/amazon-efs-mount-watchdog

install -p -m 644 %{SOURCE3} \
  %{buildroot}%{_mandir}/man8

install -p -m 644 %{SOURCE1} \
  %{buildroot}%{_unitdir}

%post
%systemd_post amazon-efs-mount-watchdog.service

%preun
%systemd_preun amazon-efs-mount-watchdog.service

%postun
%systemd_postun_with_restart amazon-efs-mount-watchdog.service

%files
%defattr(-,root,root,-)
%{_mandir}/man8/mount.efs.8.gz
%{_unitdir}/amazon-efs-mount-watchdog.service
%{_sysconfdir}/amazon/efs/efs-utils.crt
%{_sbindir}/mount.efs
%{_bindir}/amazon-efs-mount-watchdog
%{_localstatedir}/log/amazon
%config(noreplace) %{_sysconfdir}/amazon/efs/efs-utils.conf

%changelog
* Mon Jan 30 2023 Louis Abel <label@rockylinux.org> - 1.35.0-1.550df10
- Update to latest tag

* Mon Jan 30 2023 Louis Abel <label@rockylinux.org> - 1.34.5-1.c03f592
- Update to latest tag

* Wed Jan 04 2023 Louis Abel <label@rockylinux.org> - 1.34.4-2.f3a8f88
- Update to latest tag

* Fri Dec 09 2022 Louis Abel <label@rockylinux.org> - 1.34.3-1.d504305
- Update to latest tag

* Sun Jun 12 2022 Louis Abel <label@rockylinux.org> - 1.33.2-2.68cbddd
- Update to latest tag

* Fri Mar 25 2022 Louis Abel <label@rockylinux.org> - 1.31.3-2.a63e217
- Update to latest tag

* Thu Dec 30 2021 Louis Abel <label@rockylinux.org> - 1.31.3-1.5c58a2f
- Initial build for r8 extras
